summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorsharath <sharathkumarboyanapally@gmail.com>2018-06-06 21:45:16 +0530
committersharath <sharathkumarboyanapally@gmail.com>2018-06-06 21:45:16 +0530
commit8a334ca43a8a5c4fb901c162d6b953fbbad70543 (patch)
treea078188fbf39fbdbd0f9bc31bd47202d996c40cc
parent5eff7529399ea0371126ca4a14505e7d7ade126e (diff)
adding the DMM download step
Change-Id: I707afff64be5457233bfa87d47d13dc8df4e3a6a Signed-off-by: sharath <sharathkumarboyanapally@gmail.com>
-rw-r--r--jjb/csit/include-raw-csit-dmm-functional-virl.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-dmm-functional-virl.sh b/jjb/csit/include-raw-csit-dmm-functional-virl.sh
index f2bef39c7..43fb02572 100644
--- a/jjb/csit/include-raw-csit-dmm-functional-virl.sh
+++ b/jjb/csit/include-raw-csit-dmm-functional-virl.sh
@@ -14,6 +14,15 @@
set -xeu -o pipefail
+# Clone dmm and start tests
+git clone https://gerrit.fd.io/r/dmm
+
+# If the git clone fails, complain clearly and exit
+if [ $? != 0 ]; then
+ echo "Failed to run: git clone https://gerrit.fd.io/r/dmm"
+ exit 1
+fi
+
# execute DMM bootstrap script if it exists
if [ -e bootstrap-DMM.sh ]
then